<!DOCTYPE html>
<html lang="en">
<head>

  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>{{ $page->title_en }}</title>
  <meta name="description" content="Simplify Everyday with La Concierge Grocery, Food, Cleaning, Maintenance, Handyman, Medical, Beauty, Coupons, Transport, Shop Online, Travel & Holiday Services."/>

  <!-- icofont-css-link -->
  <link rel="stylesheet" href="https://leconciergeapp.ae/css/icofont.min.css">
  <!-- Owl-Carosal-Style-link -->
  <link rel="stylesheet" href="https://leconciergeapp.ae/css/owl.carousel.min.css">
  <!-- Bootstrap-Style-link -->
  <link rel="stylesheet" href="https://leconciergeapp.ae/css/bootstrap.min.css">
  <!-- Aos-Style-link -->
  <link rel="stylesheet" href="https://leconciergeapp.ae/css/aos.css">
  <!-- Coustome-Style-link -->									
  <link rel="stylesheet" href="https://leconciergeapp.ae/css/style.css">
  <!-- Custom-Style-link -->									
  <link rel="stylesheet" href="https://leconciergeapp.ae/css/custom.css">
  <!-- Responsive-Style-link -->
  <link rel="stylesheet" href="https://leconciergeapp.ae/css/responsive.css">
  <!-- waveanimation-Style-link -->
  <link rel="stylesheet" href="https://leconciergeapp.ae/css/wave-animation-style.css">   
  <!-- Favicon -->						
  <link rel="apple-touch-icon" sizes="57x57" href="https://leconciergeapp.ae/favicon/apple-icon-57x57.png">
  <link rel="apple-touch-icon" sizes="60x60" href="https://leconciergeapp.ae/favicon/apple-icon-60x60.png">
  <link rel="apple-touch-icon" sizes="72x72" href="https://leconciergeapp.ae/favicon/apple-icon-72x72.png">
  <link rel="apple-touch-icon" sizes="76x76" href="https://leconciergeapp.ae/favicon/apple-icon-76x76.png">
  <link rel="apple-touch-icon" sizes="114x114" href="https://leconciergeapp.ae/favicon/apple-icon-114x114.png">
  <link rel="apple-touch-icon" sizes="120x120" href="https://leconciergeapp.ae/favicon/apple-icon-120x120.png">
  <link rel="apple-touch-icon" sizes="144x144" href="https://leconciergeapp.ae/favicon/apple-icon-144x144.png">
  <link rel="apple-touch-icon" sizes="152x152" href="https://leconciergeapp.ae/favicon/apple-icon-152x152.png">
  <link rel="apple-touch-icon" sizes="180x180" href="https://leconciergeapp.ae/favicon/apple-icon-180x180.png">
  <link rel="icon" type="https://leconciergeapp.ae/image/png" sizes="192x192"  href="favicon/android-icon-192x192.png">
  <link rel="icon" type="https://leconciergeapp.ae/image/png" sizes="32x32" href="favicon/favicon-32x32.png">
  <link rel="icon" type="https://leconciergeapp.ae/image/png" sizes="96x96" href="favicon/favicon-96x96.png">
  <link rel="icon" type="https://leconciergeapp.ae/image/png" sizes="16x16" href="favicon/favicon-16x16.png">
  <link rel="manifest" href="favicon/manifest.json">
  <meta name="msapplication-TileColor" content="#2C93FA">
  <meta name="msapplication-TileImage" content="https://leconciergeapp.ae/favicon/ms-icon-144x144.png">
  <meta name="theme-color" content="#2C93FA">
  <style>
      .bred_crumb::after{
          background: #eaf5ff;
          z-index: -1;
      }
      .bred_crumb {
    background: #2C93FA !important;
    min-height: 250px;
    padding-top: 160px;
}

@media(max-width:767px){
    .bred_crumb {
        background: #2C93FA !important;
        min-height: 150px;
        padding-top: 100px;
    }
}

pre {
    white-space: pre-wrap;
    margin-top: 0.1em;
    margin-bottom: 0.2em;
    font-family: "Poppins", sans-serif;
    text-align: left;
}

<!-- Google Tag Manager -->
<script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
'https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
})(window,document,'script','dataLayer','GTM-WF4GZW9W');</script>
<!-- End Google Tag Manager -->

  </style>
</head>

<body>
<!-- Google Tag Manager (noscript) -->
<noscript><iframe src="https://www.googletagmanager.com/ns.html?id=GTM-WF4GZW9W"
height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>
<!-- End Google Tag Manager (noscript) -->
  <!-- Page-wrapper-Start -->
  <div class="page_wrapper">

    <!-- Preloader -->
    <!-- <div id="preloader">
      <div id="loader"></div>
    </div> -->

    <!-- Header Start -->
    <header>
      <!-- container start -->
      <div class="container">
      	<!-- navigation bar -->
        <nav class="navbar navbar-expand-lg">
          <a class="navbar-brand" href="https://leconciergeapp.ae/">
            <img src="https://leconciergeapp.ae/images/Le-Concierge-Logo.png" alt="image" >
          </a>
          <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
            aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon">
              <!-- <i class="icofont-navigation-menu ico_menu"></i> -->
              <div class="toggle-wrap">
                <span class="toggle-bar"></span>
              </div>
            </span>
          </button>

          <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav ml-auto">
              <!-- secondery menu start -->
              <!-- has_dropdown -->
              <li class="nav-item ">
                <a class="nav-link" href="https://leconciergeapp.ae/">Home</a>
                
              </li>
              <!-- secondery menu end -->
              <li class="nav-item">
                <a class="nav-link" href="https://leconciergeapp.ae/#features">Features</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="https://leconciergeapp.ae/#how_it_work">How it works</a>
              </li>
              
              <!-- secondery menu end -->

              <!-- <li class="nav-item">
                <a class="nav-link" href="pricing.html">Pricing</a>
              </li> -->
              
              <!-- secondery menu start -->
              <!-- <li class="nav-item has_dropdown">
                <a class="nav-link" href="#">Blog</a>
                <span class="drp_btn"><i class="icofont-rounded-down"></i></span>
                <div class="sub_menu">
                  <ul>
                    <li><a href="blog-list.html">Blog List</a></li>
                    <li><a href="#">Blog Single</a></li>
                  </ul>
                </div>
              </li> -->
              <!-- secondery menu end -->
              
              <li class="nav-item">
                <a class="nav-link" href="https://leconciergeapp.ae/#contact">Contact</a>
              </li>
              <li class="nav-item">
                <a class="nav-link dark_btn" style="font-weight: 600" href="https://leconciergeapp.ae/app/public/portal" target="_blank"><b>Become A Partner</b></a>
              </li>
            </ul>
          </div>
        </nav>
        <!-- navigation end -->
      </div>
      <!-- container end -->
    </header>

    <section class="row_am bred_crumb">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <div class="bred_text">
                        <h1>{{ $page->title_en }}</h1>
                    </div>
                </div>
            </div>
        </div>
    </section>
    
    <section class="row_am ">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <div class="bred_text">
                        <p><pre><?php echo $page->desc_en; ?></pre></p>
                    </div>
                </div>
            </div>
        </div>
    </section>


    <!-- News-Letter-Section-Start -->
    <section class="newsletter_section">
      <!-- container start -->
      <div class="container">
          <div class="newsletter_box">
              <div class="section_title" data-aos="fade-in" data-aos-duration="1500" data-aos-delay="100">
              	  <!-- h2 -->
                  <h2>Subscribe newsletter</h2>
                  <!-- p -->
                  <p>Be the first to recieve all latest post in your inbox</p>
              </div>
              <form id="subscribeForm" action="{{ route('subscribe_email') }}" method="POST" data-aos="fade-in" data-aos-duration="1500" data-aos-delay="100">
                  @csrf
                  <div class="form-group">
                      <input type="email" id="subscriber_email" name="subscriber_email" class="form-control" placeholder="Enter your email">
                  </div>
                  <div class="form-group">
                      <button class="btn">SUBMIT</button>
                  </div>
              </form>
          </div>
      </div>
      <!-- container end -->
    </section>
    <!-- News-Letter-Section-end -->

    <!-- Footer-Section start -->
    <footer>
        <div class="top_footer" id="contact">
          	<!-- container start -->
            <div class="container">
              <!-- row start -->
              <div class="row">
              	<span class="banner_shape1"> <img src="https://leconciergeapp.ae/images/banner-shape1.png" alt="image" > </span>
        		    <span class="banner_shape2"> <img src="https://leconciergeapp.ae/images/banner-shape2.png" alt="image" > </span>
        		    <span class="banner_shape3"> <img src="https://leconciergeapp.ae/images/banner-shape3.png" alt="image" > </span>
              	  <!-- footer link 1 -->
                  <div class="col-lg-4 col-md-6 col-12">
                      <div class="abt_side">
                        <div class="logo"> <img src="https://leconciergeapp.ae/images/Le-Concierge-Logo.png" alt="image" ></div>
                        <ul>
                          <li><a href="mailto:info@leconciergeapp.ae">info@leconciergeapp.ae</a></li>
                          <li><a href="#">+97148168900</a></li>
                        </ul>
                        <ul class="social_media">
                            <li><a target="_blank" href="https://www.facebook.com/leconciergeappuae/"><i class="icofont-facebook"></i></a></li>
                            <li><a target="_blank" href="https://twitter.com/leconciergeappUAE"><i class="icofont-twitter"></i></a></li>
                            <li><a target="_blank" href="https://www.instagram.com/leconciergeappuae/"><i class="icofont-instagram"></i></a></li>
                            <li><a target="_blank" href="https://www.linkedin.com/company/leconciergeuae"><i class="icofont-linkedin"></i></a></li>
                        </ul>
                      </div>
                  </div>

                  <!-- footer link 2 -->
                  <div class="col-lg-3 col-md-6 col-12">
                      <div class="links">
                        <h3>Useful Links</h3>
                          <ul>
                            <li><a href="https://leconciergeapp.ae/">Home</a></li>
                            <li><a href="https://leconciergeapp.ae/app/public/page/1">About us</a></li>
                            <!-- <li><a href="#">Services</a></li> -->
                             <li><a href="https://leconciergeapp.ae/app/public/page/5">Blog</a></li> 
                            <li><a href="https://leconciergeapp.ae/#contact">Contact us</a></li>
                          </ul>
                      </div>
                  </div>

                  <!-- footer link 3 -->
                  <div class="col-lg-3 col-md-6 col-12">
                    <div class="links">
                      <h3>Help & Suport</h3>
                        <ul>
                          <li><a href="https://leconciergeapp.ae/#faqs">FAQs</a></li>
                          <!-- <li><a href="#">Support</a></li> -->
                          <!-- <li><a href="#">How it works</a></li> -->
                          <li><a href="https://leconciergeapp.ae/app/public/page/3">Terms & conditions</a></li>
                          <li><a href="https://leconciergeapp.ae/app/public/page/2">Privacy policy</a></li>
                          <li><a href="https://leconciergeapp.ae/app/public/delete_request">Delete Account</a></li>
                        </ul>
                    </div>
                  </div>

                  <!-- footer link 4 -->
                  <div class="col-lg-2 col-md-6 col-12">
                    <div class="try_out">
                        <h3>Let’s Try Out</h3>
                        <ul class="app_btn">
                          <li>
                            <a href="https://apps.apple.com/ae/app/le-concierge-app/id6479246783" target="_blank">
                              <img src="https://leconciergeapp.ae/images/appstore_blue.png" alt="image" >
                            </a>
                          </li>
                          <li>
                            <a href="https://play.google.com/store/apps/details?id=com.dxb.laconcierge" target="_blank">
                              <img src="https://leconciergeapp.ae/images/googleplay_blue.png" alt="image" >
                            </a>
                          </li>
                        </ul>
                    </div>
                  </div>
              </div>
              <!-- row end -->
          </div>
          <!-- container end -->
        </div>

        <!-- last footer -->
        <div class="bottom_footer">
        	<!-- container start -->
            <div class="container">
              <!-- row start -->
              <div class="row">
                <div class="col-md-12 text-center">
                    <p>© Copyrights 2023. All rights reserved.</p>
                </div>
                <!-- <div class="col-md-6">
                    <p class="developer_text">Design & developed by <a href="https://themeforest.net/user/kalanidhithemes" target="blank">Kalanidhi Themes</a></p>
                </div> -->
            </div>
            <!-- row end -->
            </div>
            <!-- container end -->
        </div>

        <!-- go top button -->
        <div class="go_top">
            <span><img src="https://leconciergeapp.ae/images/go_top.png" alt="image" ></span>
        </div>
    </footer>
    <!-- Footer-Section end -->

    <a class="c-btn-whatsapp" target="_blank" href="https://wa.me/+97148168900?text=I'm%20interested%20please%20call%20me%20back!" aria-label="Whatsapp">
        <span class="icofont-whatsapp" style="color: #fff; font-size: 24px;"></span>
    </a>
  <!-- VIDEO MODAL -->
  <div class="modal fade youtube-video" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
          <button id="close-video" type="button" class="button btn btn-default text-right" data-dismiss="modal">
            <i class="icofont-close-line-circled"></i>
          </button>
            <div class="modal-body">
                <div id="video-container" class="video-container">
                    <iframe id="youtubevideo" src="#" width="640" height="360" frameborder="0" allowfullscreen></iframe>
                </div>        
            </div>
            <div class="modal-footer">
            </div>
        </div> 
    </div>
  </div>

  <div class="purple_backdrop"></div>

  </div>
  <!-- Page-wrapper-End -->

  <!-- Jquery-js-Link -->
  <script src="https://leconciergeapp.ae/js/jquery.js"></script>
  <!-- owl-js-Link -->
  <script src="https://leconciergeapp.ae/js/owl.carousel.min.js"></script>
  <!-- bootstrap-js-Link -->
  <script src="https://leconciergeapp.ae/js/bootstrap.min.js"></script>
  <!-- aos-js-Link -->
  <script src="https://leconciergeapp.ae/js/aos.js"></script>
  <!-- main-js-Link -->
  <script src="https://leconciergeapp.ae/js/main.js"></script>

  <link rel="stylesheet" href="https://leconciergeapp.ae/css/sweetalert2.min.css">
<!-- SweetAlert2 JavaScript -->
<script src="https://leconciergeapp.ae/js/sweetalert2.min.js"></script>
  
  <script>
    $(document).ready(function() {
        $('#subscribeForm').submit(function(event) {
            event.preventDefault(); // Prevent default form submission

            var email = $('#subscriber_email').val();

            // Validate email address
            var regex = /^[^\s@]+@[^\s@]+\.[^\s@]+$/;
            if (!regex.test(email)) {
                Swal.fire({
                    icon: 'error',
                    title: 'Invalid Email Address',
                    text: 'Please enter a valid email address',
                    position: 'center',
                });
                return false;
            }

            // Send AJAX request
            $.ajax({
                url: "{{ route('subscribe_email') }}",
                type: 'POST',
                data: {email: email, _token: '{{ csrf_token() }}'},
                success: function(response) {
                    $('#subscriber_email').val('');
                    Swal.fire({
                      icon: 'success',
                      title: 'Subscription Successful!',
                      text: response.message,
                      position: 'center',
                    });
                },
                error: function(xhr, status, error) {
                  var errorMessage = xhr.responseJSON.error;
                  Swal.fire({
                    icon: 'error',
                    title: 'Error',
                    text: errorMessage,
                    position: 'center',
                  });
              }
            });
        });
    });
</script>
</body>
</html>
